Subject: bug#8429: 24.0.50; regression: `flush-lines' does not flush all it should

From: Juri Linkov <[email-masked]>
Date: Sun, 03 Feb 2013 01:54:31 +0200

> I followed the recipe in the bug report.  At first I thought it was fixed, but
> then I saw that there were still plenty of occurrences of the regexp matches
> farther down in the buffer.

When the grep process is not yet finished then of course flush-lines
can't remove all matches.  A running grep process adds more occurrences
that you have to remove with flush-lines when grep finishes.

> Try it and see what you find.

I tried and see that the bug is fixed, there are no remaining occurrences
when flush-lines is called after grep is finished.

If you still see the bug, please send the lines containing the
unremoved matches.  Do they contain escape sequences?